/*
   MMHeapMemory.c, Copyright  (c) by George Fankhauser,
   Swiss Federal Institute of Technology,
   Computer Engineering and Networks Laboratory.
 
   TOPSY -- A Teachable Operating System.
   Implementation of a tiny and simple
   micro kernel for teaching purposes.
 
   For further information, please visit http://www.tik.ee.ethz.ch/~topsy
 
   This software is provided under the terms of the GNU General Public Licence.
 
   A full copy of the GNU GPL is provided in the file COPYING found in the 
   development root of Topsy.
 */
/*
	File:                  $Source: /home/ruf/cvs_Topsy/cvs/Topsy/Memory/Attic/MMHeapMemory_new.c,v $
	Author(s):             George Fankhauser
	Affiliation:           ETH Zuerich, TIK
	Version:               $Revision: 2922 $
	Creation Date:         
	Last Date of Change:   $Date: 2007-03-19 17:48:52 +0100 (Mon, 19 Mär 2007) $      by: $Author: baderma $
*/
#include "Error.h"

#include "kalloc_api.h"

#include "MMHeapMemory.h"


Error hmInit(Address addr)
{
  WARNING("hmInit called");
  return HM_INITOK;
}


Error hmAlloc(Address* addressPtr, unsigned long int size)
{
  if ((*addressPtr = km_alloc(size, KM_GENERIC)) != NULL)
  {
    return HM_ALLOCOK;
  }
  else
  {
    return HM_ALLOCFAILED;
  }
}


Error hmFree(Address address)
{
  km_free_type(address, KM_GENERIC);
  return HM_FREEOK;
}
